#ifndef ANIMWIN_H
#define ANIMWIN_H


#include "RMWin.h"

class AnimWin : public RMWin
{
public:
	AnimWin();
	BOOL CreateScene();
protected:
	//{{AFX_MSG(AnimWin)
	afx_msg void OnRenderWireframe();
	afx_msg void OnRenderFlat();
	afx_msg void OnRenderGouraud();
	afx_msg void OnUpdateRenderFlat(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderGouraud(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderWireframe(CCmdUI* pCmdUI);
	afx_msg void OnAnimationLinear();
	afx_msg void OnUpdateAnimationLinear(CCmdUI* pCmdUI);
	afx_msg void OnAnimationSpline();
	afx_msg void OnUpdateAnimationSpline(CCmdUI* pCmdUI);
	afx_msg void OnSpeedFast();
	afx_msg void OnUpdateSpeedFast(CCmdUI* pCmdUI);
	afx_msg void OnSpeedMedium();
	afx_msg void OnUpdateSpeedMedium(CCmdUI* pCmdUI);
	afx_msg void OnSpeedSlow();
	afx_msg void OnUpdateSpeedSlow(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	LPDIRECT3DRMMESHBUILDER meshbuilder;
	LPDIRECT3DRMANIMATION animation;
    static void UpdateScene(LPDIRECT3DRMFRAME, void*, D3DVALUE);
    static HRESULT LoadTexture(char*, void*, LPDIRECT3DRMTEXTURE*);
};


#endif
